# TODO: java, perl, python bindings (not ready in sources)
Summary:	libical library
Summary(pl.UTF-8):	Biblioteka libical
Name:		libical
Version:	1.0
Release:	1
License:	MPL 1.1 or LGPL v2.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/freeassociation/%{name}-%{version}.tar.gz
# Source0-md5:	4438c31d00ec434f02867a267a92f8a1
Patch0:		%{name}-as_needed.patch
Patch1:		%{name}-cxx.patch
Patch2:		%{name}-ac.patch
URL:		http://freeassociation.sourceforge.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	perl-base
#BuildRequires:	python
# swig for python bindings
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%description -l pl.UTF-8
Libical jest implementacją Open Source protokołów IETF iCalendar
Calendaring oraz iCalendar Scheduling (RFC 2445, 2446 i 2447).
Biblioteka ta analizuje składniki iCal i udostępnia API w C do obróbki
opcji, parametrów i podkomponentów w komponentach iCal.

%package devel
Summary:	libical header files
Summary(pl.UTF-8):	Pliki nagłówkowe libical
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libical header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libical.

%package static
Summary:	libical static library
Summary(pl.UTF-8):	Statyczna biblioteka libical
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libical library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libical.

%package c++
Summary:	C++ bindings for libical libraries
Summary(pl.UTF-8):	Wiązania C++ dla bibliotek libical
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ bindings for libical libraries.

%description c++ -l pl.UTF-8
Wiązania C++ dla bibliotek libical.

%package c++-devel
Summary:	Header files for libical C++ bindings
Summary(pl.UTF-8):	Pliki nagłówkowe wiązań C++ dla bibliotek libical
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for libical C++ bindings.

Pliki nagłówkowe wiązań C++ dla bibliotek libical.

%package c++-static
Summary:	Static libraries of libical C++ bindings
Summary(pl.UTF-8):	Statyczne biblioteki wiązań C++ dla bibliotek libical
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static libraries of libical C++ bindings.

%description c++-static -l pl.UTF-8
Statyczne biblioteki wiązań C++ dla bibliotek libical.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-cxx
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libical.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical.so.0
%attr(755,root,root) %{_libdir}/libicalss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalss.so.0
%attr(755,root,root) %{_libdir}/libicalvcal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalvcal.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/UsingLibical*
%attr(755,root,root) %{_libdir}/libical.so
%attr(755,root,root) %{_libdir}/libicalss.so
%attr(755,root,root) %{_libdir}/libicalvcal.so
%{_libdir}/libical.la
%{_libdir}/libicalss.la
%{_libdir}/libicalvcal.la
%{_pkgconfigdir}/libical.pc
%{_includedir}/ical.h
%dir %{_includedir}/libical
# libical
%{_includedir}/libical/ical.h
%{_includedir}/libical/icalarray.h
%{_includedir}/libical/icalattach.h
%{_includedir}/libical/icalcomponent.h
%{_includedir}/libical/icalderivedparameter.h
%{_includedir}/libical/icalderivedproperty.h
%{_includedir}/libical/icalderivedvalue.h
%{_includedir}/libical/icalduration.h
%{_includedir}/libical/icalenums.h
%{_includedir}/libical/icalerror.h
%{_includedir}/libical/icallangbind.h
%{_includedir}/libical/icalmemory.h
%{_includedir}/libical/icalmime.h
%{_includedir}/libical/icalparameter.h
%{_includedir}/libical/icalparser.h
%{_includedir}/libical/icalperiod.h
%{_includedir}/libical/icalproperty.h
%{_includedir}/libical/icalrecur.h
%{_includedir}/libical/icalrestriction.h
%{_includedir}/libical/icaltime.h
%{_includedir}/libical/icaltimezone.h
%{_includedir}/libical/icaltypes.h
%{_includedir}/libical/icaltz-util.h
%{_includedir}/libical/icalvalue.h
%{_includedir}/libical/pvl.h
%{_includedir}/libical/sspm.h
# libicalss
%{_includedir}/libical/icalcalendar.h
%{_includedir}/libical/icalclassify.h
%{_includedir}/libical/icalcluster.h
%{_includedir}/libical/icaldirset.h
%{_includedir}/libical/icaldirsetimpl.h
%{_includedir}/libical/icalfileset.h
%{_includedir}/libical/icalfilesetimpl.h
%{_includedir}/libical/icalgauge.h
%{_includedir}/libical/icalgaugeimpl.h
%{_includedir}/libical/icalmessage.h
%{_includedir}/libical/icalset.h
%{_includedir}/libical/icalspanlist.h
%{_includedir}/libical/icalss.h
%{_includedir}/libical/icalssyacc.h
# libicalvcal
%{_includedir}/libical/icalvcal.h
%{_includedir}/libical/port.h
%{_includedir}/libical/vcaltmp.h
%{_includedir}/libical/vcc.h
%{_includedir}/libical/vobject.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libical.a
%{_libdir}/libicalss.a
%{_libdir}/libicalvcal.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical_cxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical_cxx.so.0
%attr(755,root,root) %{_libdir}/libicalss_cxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libicalss_cxx.so.0

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libical_cxx.so
%attr(755,root,root) %{_libdir}/libicalss_cxx.so
%{_libdir}/libical_cxx.la
%{_libdir}/libicalss_cxx.la
%{_includedir}/libical/icalparameter_cxx.h
%{_includedir}/libical/icalproperty_cxx.h
%{_includedir}/libical/icalvalue_cxx.h
%{_includedir}/libical/icptrholder.h
%{_includedir}/libical/vcomponent.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libical_cxx.a
%{_libdir}/libicalss_cxx.a
%changelog
* Tue May 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libical.git;a=log;h=master

* Tue May 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d9be0e
- up to 1.0

* Sat Oct 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 8a302d4
- updated to 0.47

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> ffa0da2
- BR: libstdc++-devel

* Sun Sep 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 4e8c631
- updated to 0.46
- updated as-needed patch
- added cxx patch (extern "C", fixes C++ linking with libicalss)

* Sat Mar 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 169f176
- updated for 0.43

* Sat Mar 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9c5788e
- updated to 0.43

* Wed Sep 17 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b192589
- up to 0.33

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> c4b8882
- updated as-needed patch
- build C++ bindings

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 8bed4cb
- old one obsolete; more fixes for current version

* Tue Sep 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c07c00
- up to 0.32

* Fri Jul 11 2008 Jakub Bogusz <qboosh@pld-linux.org> e825b71
- updated to 0.31

* Tue Dec 18 2007 zbyniu <zbyniu@pld-linux.org> b406cec
- parallel build now possible

* Thu Oct 25 2007 Jakub Bogusz <qboosh@pld-linux.org> ce92123
- more verbose files
- package data (zoneinfo)

* Sat Oct 20 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 812efe3
- change URL

* Sat Oct 20 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> ddf4734
- up to 0.27, change URL

* Fri Sep 28 2007 Szymon Siwek <sls@pld-linux.org> 76a3eee
- added as_needed.patch
- libtoolize, aclocal, automake, autoconf
- __make -j1
- added TODO

* Fri Sep 28 2007 Szymon Siwek <sls@pld-linux.org> 3a9cb62
- new

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0691244
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 63716a6
- converted to UTF-8

* Thu Aug 24 2006 aredridel <aredridel@pld-linux.org> 80cd65d
- copy config.sub for amd64

